AntiFeatures:
  - NonFreeNet
Categories:
  - Multimedia
  - Internet
License: GPL-3.0-or-later
AuthorName: NullPointerException
SourceCode: https://codeberg.org/NullPointerException/AnimePipe
IssueTracker: https://codeberg.org/NullPointerException/AnimePipe/issues
Translation: https://codeberg.org/NullPointerException/AnimePipe/src/branch/main/TRANSLATION.md
Changelog: https://codeberg.org/NullPointerException/AnimePipe/releases

AutoName: AnimePipe

RepoType: git
Repo: https://codeberg.org/NullPointerException/AnimePipe
Binaries: https://github.com/340dt7zw/AnimePipe/releases/download/v%v/AnimePipe_%v-release.apk

Builds:
  - versionName: 2.1.1
    versionCode: 1012
    commit: 9cff55e3d1885ff4758f7b16909f15d8eac51846
    subdir: AnimePipeClient/app
    submodules: true
    gradle:
      - yes
    rm:
      - AnimePipeClient/doc
    prebuild: sed -i -e '/publishing {/,/^}/d' ../../AnimePipeExtractor/subtitle/build.gradle
    scandelete:
      - AnimePipeExtractor/extractor/src/test

  - versionName: 2.2.2
    versionCode: 1015
    commit: fd96fde166a4ee122ff757debf54a9e3fbac675a
    subdir: AnimePipeClient/app
    submodules: true
    gradle:
      - yes
    rm:
      - AnimePipeClient/doc
    scandelete:
      - AnimePipeExtractor/extractor/src/test

  - versionName: 2.2.3
    versionCode: 1016
    commit: 0712873c89a85c4897fadb1edd4544d63a981fad
    subdir: AnimePipeClient/app
    submodules: true
    gradle:
      - yes
    rm:
      - AnimePipeClient/doc
    scandelete:
      - AnimePipeExtractor/extractor/src/test

  - versionName: 2.2.4
    versionCode: 1017
    commit: e3e14b1645f024d98ce2cc519df24ac2ae95a001
    subdir: AnimePipeClient/app
    submodules: true
    gradle:
      - yes
    rm:
      - AnimePipeClient/doc
    scandelete:
      - AnimePipeExtractor/extractor/src/test

MaintainerNotes: Codeberg release pages don't have predictable URLs for the binary
    comparison to work, so those are hosted on Github, see https://codeberg.org/Codeberg/Community/issues/557
    and links

AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: 2.2.4
CurrentVersionCode: 1017
